Retrieves all the contracts

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

contract
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

id2

id2

integer

Required

company_id

The company owner of this contract

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating contract

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating contract

company

Optionally required : company_id, company_code or company must be provided

reference

Reference

string
reference_back_office

Backoffice reference

string
reference_customer

Customer Reference

string
date_start

Start Date of the contract

date
date_end

Contract End date

date
date_cancel

Readonly , date +time when the contract goes in status Cancelled

date
date_last_invoiced

Readonly contains the last date an invoice has been generated for this contract

date
name

Name of the contract

string
description

Description of Contract

string
feelist_id

Feelist ID

globally unique identifier
article_price_label_id

Article Price Llabel Id

globally unique identifier
account_manager_user_id

FK of Account manager user

globally unique identifier
account_manager_user

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

user
account_manager_user_code

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
renewal_term_months

Renewal Term Months

integer

Range: inclusive between 0 and 1000000

feelist_warranty_discount

Feelist Warranty Discount

decimal number

Range: inclusive between 0 and 100

price_label_warranty_discount

Price Label Warranty Discount

decimal number

Range: inclusive between 0 and 100

driving_distance

Distance in km that are used to invoice the travel

decimal number
travel_fee_fix_discount

Discount applied when computing the fee for travel

decimal number

Response Formats

application/json, text/json

Sample:
{
  "id": "fb9b2604-b099-4231-9d62-6324bc01d5b8",
  "id2": 2,
  "company_id": "51356b8f-536c-485b-a77e-37ebdec037a5",
  "company_code": "sample string 4",
  "reference": "sample string 5",
  "reference_back_office": "sample string 6",
  "reference_customer": "sample string 7",
  "date_start": "2026-08-29T07:44:51.5069987+00:00",
  "date_end": "2026-08-29T07:44:51.5069987+00:00",
  "date_cancel": "2026-08-29T07:44:51.5069987+00:00",
  "date_last_invoiced": "2026-08-29T07:44:51.5069987+00:00",
  "name": "sample string 12",
  "description": "sample string 13",
  "feelist_id": "6ad3df0e-9084-4fd1-9048-8c42835ffeb0",
  "article_price_label_id": "eb9a0e67-4a47-4255-9beb-2ad5affcc3cf",
  "account_manager_user_id": "3e9eaadf-c384-420d-837b-135927c5cea5",
  "account_manager_user": {
    "id": "50674b47-3f65-485c-85d3-e056d1ff664e",
    "db_language_id": "631ccd8e-a544-4487-a028-6ef0573e2f7f",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-08-29T07:44:51.5069987+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "90c920f8-d4bc-4425-9a58-c53a03ecc557",
    "sales_organization": {
      "id": "37bdc82f-0113-46e2-b1b2-5115d94c94f3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "224e9cba-1010-4c7b-8fc2-e38874e3dedd",
      "db_currency_id": "348947ca-5625-46af-98bd-55439d316460",
      "db_language_id": "df68ca29-f61d-46df-bfd8-9c09ef9c10c9",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-08-29T07:44:51.5069987+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "0a92e685-cfe7-4740-ab48-350b5e299189",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "fd072adc-85c6-4d79-a834-616816a1885c",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-08-29T07:44:51.5069987+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "2e47bc8b-fb55-46c3-b072-85f0ce37b04e"
  },
  "account_manager_user_code": "sample string 17",
  "modified_dateutc": "2026-08-29T07:44:51.5069987+00:00",
  "renewal_term_months": 19,
  "feelist_warranty_discount": 20.0,
  "price_label_warranty_discount": 21.0,
  "driving_distance": 22.0,
  "travel_fee_fix_discount": 23.0
}